package buildcraft.api.pipes;

import buildcraft.api.ISpecialInventory;
import buildcraft.api.Orientations;
import net.minecraft.server.ItemStack;

public interface ISecuredInventory extends ISpecialInventory
{
    boolean allowsInteraction(String var1);

    boolean addItem(ItemStack var1, boolean var2, Orientations var3, String var4);

    ItemStack extractItem(boolean var1, Orientations var2, String var3);
}
